/*)LIBRARY
*/
/*
 *	*******************
 *	*  C P R N T . C  *
 *	*******************
 *
 * C-callable interface to P/OS callable print services
 *
 * Bob Denny  02-Jan-84
 *
 * Edits:
 */

extern cprnt();

p$cprnt(req, file, stat)
unsigned req;				/* Request code */
char *file;				/* File name */
int *stat;				/* --> 2-word status block */
   {
   unsigned req_array[75];		/* 75-word request/scratch array */
   unsigned flen;			/* File name length */

   req_array[0] = req;			/* Fill in request code */
   if(req == 1)				/* If "print file" requested */
      flen = strlen(file);		/* Get filename length */
   else					/* For other requests ... */
      file = flen = 0;			/* ... force file & length = 0 */

   call(cprnt, 4, stat, req_array, file, &flen);  /* Call print service */
   
   return(stat[0]);			/* Return 1st status word */
   }
